BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.Commands.CommandTypeRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.Commands.CommandTypeRepository:

## Public Member Functions
| CommandTypeRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, CommandType >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, CommandType >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ CommandTypeRepository()

BMA.EHR.Application.Repositories.Commands.CommandTypeRepository.CommandTypeRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Commands/CommandTypeRepository.cs